Application: gvSIG desktop - gvSIG bugs #951
Copy, paste and move a point, in Map, does not work well.
08/03/2012 12:54 PM - Maria Maluenda

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Document layout

Target version: 2.0.0-beta1l

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2049 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1.- Open gvSIG

2.- Open new Map

3.- Click Insert Point

4.- With the point selected, click right button

5.- Click copy

6.- Click paste

7.- The 'copying point' is situated above to the original point.

8.- If you move the 'copying point', are moved the two points when only should move the 'copying point'.

1.- Abrir gvSIG

2.- Abrir un mapa

3.- Clic en Insertar punto

4.- Insertado y seleccionado el punto, clic en botén derecho

5.- Copiar

6.- Pegar

7.- El 'punto copiado' se sitda por encima del punto original.

8.- Si mueves el 'punto copiado', se mueven ambos puntos, cuando solo se deberia mover el 'punto copiado'.

History

#1 - 09/19/2012 02:39 PM - Maria Maluenda
- Target version set to 2.0.0-devel-2053

#2 - 09/24/2012 10:03 AM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-devel-2053 to 2.0.0-rc1

#3 - 09/24/2012 10:07 AM - Joaquin del Cerro Murciano
- Assignee set to Juan Lucas Dominguez

#4 - 10/01/2012 04:44 PM - Juan Lucas Dominguez

- Status changed from New to Fixed
Effectively cloning bbox and geometry (adapter) of graphics frame. There are probably a lot of little bugs like this in the management of frames in

layout.

Test:

- create layout

- add point, copy, paste

- click on the "location/size" tool to open the little dialog and set new location
- one of the points must be moved, the other remains in the same position

#5 - 10/03/2012 02:45 PM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-beta1

#6 - 11/12/2012 10:55 AM - Abenchara Socorro

- Status changed from Fixed to Closed
